Create or Get user

​

Get or Create a user identified by their systemRef. Requires customer API key authentication.

Body

required
application/json
  • Reference ID from the SSO system

Responses

  • application/json
  • application/json
  • application/json
Request Example for post/api/v1/user
curl https://platform.youzu.ai/api/v1/user \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'x-client-key: YOUR_SECRET_TOKEN' \
  --data '{
  "systemRef": ""
}'
{
  "user": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "systemRef": "string",
    "createdAt": "2026-10-10T15:22:22.221Z",
    "updatedAt": "2026-10-10T15:22:22.221Z"
  }
}